#-----------------------------------------------------------------------------
%define		dist		.ok
#-----------------------------------------------------------------------------
Name		:	dconf
Version		:	0.34.0
Release		:	14.4.0.0%{?dist}
Summary		:	dconf is a low-level configuration system.
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+, LGPLv2+, MIT
URL		:	http://ftp.acc.umu.se/pub/gnome/sources/dconf

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	dbus
BuildRequires	:	docbook-xsl
BuildRequires	:	glib-devel
BuildRequires	:	libxslt
BuildRequires	:	meson,ninja
BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
The DConf package contains a low-level configuration system.
Its main purpose is to provide a backend to GSettings on
platforms that don't already have configuration storage systems.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

sed -i							\
  -e "s|link_whole|link_with|"				\
  client/meson.build

sed -i							\
  -e "s/module/& | grep -v mangle_path/"		\
  gsettings/abicheck.sh

%{__mkdir_p} build
pushd build
meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	-Dbash_completion=false				\
	..

ninja
popd


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

%files			
%defattr(-, root,root,-)

%doc COPYING NEWS README
%{_bindir}/%{name}
%{_includedir}/%{name}/{client,common}/%{name}-*.h
%{_includedir}/%{name}/%{name}.h
%{_libdir}/lib%{name}.so*
%{_libdir}/gio/modules/lib%{name}settings.so
%{_libexecdir}/%{name}/%{name}-service
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/dbus-1/services/*
%{_mandir}/man1/*.1.gz
%{_mandir}/man7/*.7.gz
%{_datadir}/vala/vapi/%{name}.{deps,vapi}


%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
